summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'virtual/secret-service')
-rw-r--r--virtual/secret-service/metadata.xml9
-rw-r--r--virtual/secret-service/secret-service-0.ebuild15
2 files changed, 24 insertions, 0 deletions
diff --git a/virtual/secret-service/metadata.xml b/virtual/secret-service/metadata.xml
new file mode 100644
index 00000000000..3827cb158fc
--- /dev/null
+++ b/virtual/secret-service/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
+ </maintainer>
+ <stabilize-allarches/>
+</pkgmetadata>
diff --git a/virtual/secret-service/secret-service-0.ebuild b/virtual/secret-service/secret-service-0.ebuild
new file mode 100644
index 00000000000..f814c4d14ad
--- /dev/null
+++ b/virtual/secret-service/secret-service-0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for a freedesktop.org Secret Service API provider"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+
+RDEPEND="|| (
+ gnome-base/gnome-keyring
+ app-admin/keepassxc
+)"
+# TODO: add the KDE provider here once ready, still WIP as of June 2021 though
+# (see https://bugs.kde.org/show_bug.cgi?id=313216)